Function
sequenceId
Gets the sequence id that is associated with this vertex descriptor or with a sequence of a fragment.
sequenceId(f,seqNum)
sequenceId(g, v)
Include Headers
seqan/refinement.h
Parameters

f | A fragment. Types: Fragment
seqNum | The sequence number for which the id should be retrieved. Remarks: Note that Fragment stores information about exactly two sequences which can be accessed with seqNum 0 or 1, but whose ids may differ from their seqNum.
g | An alignment graph. Types: Alignment Graph
v | A vertex descriptor. Types: VertexDescriptor

Return Values
The sequence id.
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49